/*******************************************************************************
* File Name: LED_isr_Off.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_LED_isr_Off_H)
#define CY_ISR_LED_isr_Off_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void LED_isr_Off_Start(void);
void LED_isr_Off_StartEx(cyisraddress address);
void LED_isr_Off_Stop(void);

CY_ISR_PROTO(LED_isr_Off_Interrupt);

void LED_isr_Off_SetVector(cyisraddress address);
cyisraddress LED_isr_Off_GetVector(void);

void LED_isr_Off_SetPriority(uint8 priority);
uint8 LED_isr_Off_GetPriority(void);

void LED_isr_Off_Enable(void);
uint8 LED_isr_Off_GetState(void);
void LED_isr_Off_Disable(void);

void LED_isr_Off_SetPending(void);
void LED_isr_Off_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the LED_isr_Off ISR. */
#define LED_isr_Off_INTC_VECTOR            ((reg32 *) LED_isr_Off__INTC_VECT)

/* Address of the LED_isr_Off ISR priority. */
#define LED_isr_Off_INTC_PRIOR             ((reg8 *) LED_isr_Off__INTC_PRIOR_REG)

/* Priority of the LED_isr_Off interrupt. */
#define LED_isr_Off_INTC_PRIOR_NUMBER      LED_isr_Off__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable LED_isr_Off interrupt. */
#define LED_isr_Off_INTC_SET_EN            ((reg32 *) LED_isr_Off__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the LED_isr_Off interrupt. */
#define LED_isr_Off_INTC_CLR_EN            ((reg32 *) LED_isr_Off__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the LED_isr_Off interrupt state to pending. */
#define LED_isr_Off_INTC_SET_PD            ((reg32 *) LED_isr_Off__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the LED_isr_Off interrupt. */
#define LED_isr_Off_INTC_CLR_PD            ((reg32 *) LED_isr_Off__INTC_CLR_PD_REG)


#endif /* CY_ISR_LED_isr_Off_H */


/* [] END OF FILE */
