/*******************************************************************************
* File Name: Led_isr_1.c  
* Version 1.70
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/


#include <cydevice_trm.h>
#include <CyLib.h>
#include <Led_isr_1.h>

#if !defined(Led_isr_1__REMOVED) /* Check for removal by optimization */

/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START Led_isr_1_intc` */
#include<LED_Control.h>
/* `#END` */

#ifndef CYINT_IRQ_BASE
#define CYINT_IRQ_BASE      16
#endif /* CYINT_IRQ_BASE */
#ifndef CYINT_VECT_TABLE
#define CYINT_VECT_TABLE    ((cyisraddress **) CYREG_NVIC_VECT_OFFSET)
#endif /* CYINT_VECT_TABLE */

/* Declared in startup, used to set unused interrupts to. */
CY_ISR_PROTO(IntDefaultHandler);


/*******************************************************************************
* Function Name: Led_isr_1_Start
********************************************************************************
*
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   None
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_Start(void)
{
    /* For all we know the interrupt is active. */
    Led_isr_1_Disable();

    /* Set the ISR to point to the Led_isr_1 Interrupt. */
    Led_isr_1_SetVector(&Led_isr_1_Interrupt);

    /* Set the priority. */
    Led_isr_1_SetPriority((uint8)Led_isr_1_INTC_PRIOR_NUMBER);

    /* Enable it. */
    Led_isr_1_Enable();
}


/*******************************************************************************
* Function Name: Led_isr_1_StartEx
********************************************************************************
*
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_StartEx(cyisraddress address)
{
    /* For all we know the interrupt is active. */
    Led_isr_1_Disable();

    /* Set the ISR to point to the Led_isr_1 Interrupt. */
    Led_isr_1_SetVector(address);

    /* Set the priority. */
    Led_isr_1_SetPriority((uint8)Led_isr_1_INTC_PRIOR_NUMBER);

    /* Enable it. */
    Led_isr_1_Enable();
}


/*******************************************************************************
* Function Name: Led_isr_1_Stop
********************************************************************************
*
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_Stop(void)
{
    /* Disable this interrupt. */
    Led_isr_1_Disable();

    /* Set the ISR to point to the passive one. */
    Led_isr_1_SetVector(&IntDefaultHandler);
}


/*******************************************************************************
* Function Name: Led_isr_1_Interrupt
********************************************************************************
*
* Summary:
*   The default Interrupt Service Routine for Led_isr_1.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
* Parameters:  
*
* Return:
*   None
*
*******************************************************************************/
CY_ISR(Led_isr_1_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START Led_isr_1_Interrupt` */
    LED_Control_Write(00000000); 
    /* `#END` */
}


/*******************************************************************************
* Function Name: Led_isr_1_SetVector
********************************************************************************
*
* Summary:
*   Change the ISR vector for the Interrupt. Note calling Led_isr_1_Start
*   will override any effect this method would have had. To set the vector 
*   before the component has been started use Led_isr_1_StartEx instead.
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_SetVector(cyisraddress address)
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    ramVectorTable[CYINT_IRQ_BASE + (uint32)Led_isr_1__INTC_NUMBER] = address;
}


/*******************************************************************************
* Function Name: Led_isr_1_GetVector
********************************************************************************
*
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*******************************************************************************/
cyisraddress Led_isr_1_GetVector(void)
{
    cyisraddress * ramVectorTable;

    ramVectorTable = (cyisraddress *) *CYINT_VECT_TABLE;

    return ramVectorTable[CYINT_IRQ_BASE + (uint32)Led_isr_1__INTC_NUMBER];
}


/*******************************************************************************
* Function Name: Led_isr_1_SetPriority
********************************************************************************
*
* Summary:
*   Sets the Priority of the Interrupt. Note calling Led_isr_1_Start
*   or Led_isr_1_StartEx will override any effect this method 
*   would have had. This method should only be called after 
*   Led_isr_1_Start or Led_isr_1_StartEx has been called. To set 
*   the initial priority for the component use the cydwr file in the tool.
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 7, 0 being the highest.
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_SetPriority(uint8 priority)
{
    *Led_isr_1_INTC_PRIOR = priority << 5;
}


/*******************************************************************************
* Function Name: Led_isr_1_GetPriority
********************************************************************************
*
* Summary:
*   Gets the Priority of the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   Priority of the interrupt. 0 - 7, 0 being the highest.
*
*******************************************************************************/
uint8 Led_isr_1_GetPriority(void)
{
    uint8 priority;


    priority = *Led_isr_1_INTC_PRIOR >> 5;

    return priority;
}


/*******************************************************************************
* Function Name: Led_isr_1_Enable
********************************************************************************
*
* Summary:
*   Enables the interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_Enable(void)
{
    /* Enable the general interrupt. */
    *Led_isr_1_INTC_SET_EN = Led_isr_1__INTC_MASK;
}


/*******************************************************************************
* Function Name: Led_isr_1_GetState
********************************************************************************
*
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   1 if enabled, 0 if disabled.
*
*******************************************************************************/
uint8 Led_isr_1_GetState(void)
{
    /* Get the state of the general interrupt. */
    return ((*Led_isr_1_INTC_SET_EN & (uint32)Led_isr_1__INTC_MASK) != 0u) ? 1u:0u;
}


/*******************************************************************************
* Function Name: Led_isr_1_Disable
********************************************************************************
*
* Summary:
*   Disables the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_Disable(void)
{
    /* Disable the general interrupt. */
    *Led_isr_1_INTC_CLR_EN = Led_isr_1__INTC_MASK;
}


/*******************************************************************************
* Function Name: Led_isr_1_SetPending
********************************************************************************
*
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_SetPending(void)
{
    *Led_isr_1_INTC_SET_PD = Led_isr_1__INTC_MASK;
}


/*******************************************************************************
* Function Name: Led_isr_1_ClearPending
********************************************************************************
*
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void Led_isr_1_ClearPending(void)
{
    *Led_isr_1_INTC_CLR_PD = Led_isr_1__INTC_MASK;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
